Bug 89727 - smp kernels too large for bootdisk, redhat upgrade fails
smp kernels too large for bootdisk, redhat upgrade fails
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-26 18:16 EDT by John Ellson
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-30 09:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2003-04-26 18:16:36 EDT
Description of problem:
smp kernels too large for bootdisk,
redhat 8.0 -> 9 upgrade fails,
mkbootdisk reports no space left in initrd.img

Version-Release number of selected component (if applicable):
kernel-2.4.20-8smp
kernel-2.4.20-9smp

How reproducible:
100%

Steps to Reproduce:
1. mkbootdisk kernel-2.4.20-9smp
2.
3.
    
Actual results:
[root@ontap root]# mkbootdisk 2.4.20-9smp
Insert a disk in /dev/fd0. Any information on the disk will be lost.
Press <Enter> to continue or ^C to abort:
cp: writing `/tmp/mkbootdisk.ZFdcjU/initrd.img': No space left on device
cat: write error: No space left on device
cat: write error: No space left on device
20+0 records in
20+0 records out
[root@ontap root]#


Expected results:


Additional info:
Perhaps this is module related?   Here is the output of lsmod:

[root@ontap root]# lsmod
Module                  Size  Used by    Not tainted
vfat                   13196   0  (autoclean)
nls_iso8859-1           3516   0  (autoclean)
nls_cp437               5148   0  (autoclean)
msdos                   8300   0  (autoclean)
fat                    40088   0  (autoclean) [vfat msdos]
nfs                    84600   2  (autoclean)
lockd                  59536   1  (autoclean) [nfs]
sunrpc                 87516   1  (autoclean) [nfs lockd]
tvaudio                15196   0  (autoclean) (unused)
msp3400                18988   1  (autoclean)
bttv                   75232   1  (autoclean)
tuner                  11808   1  (autoclean)
i2c-algo-bit            8872   1  (autoclean) [bttv]
i2c-core               19908   0  (autoclean) [tvaudio msp3400 bttv tuner
i2c-algo-bit]
videodev                8544   4  (autoclean) [bttv]
ide-cd                 35772   0  (autoclean)
cdrom                  34176   0  (autoclean) [ide-cd]
emu10k1                73384   4  (autoclean)
sound                  77644   0  (autoclean) [emu10k1]
ac97_codec             13768   0  (autoclean) [emu10k1]
soundcore               7044   7  (autoclean) [bttv emu10k1 sound]
autofs                 13684   0  (autoclean) (unused)
e100                   62436   1
ipt_REJECT              3928   0  (autoclean)
iptable_filter          2412   0  (autoclean)
ip_tables              15864   2  [ipt_REJECT iptable_filter]
loop                   12888   0  (autoclean)
lvm-mod                64544   0
keybdev                 2976   0  (unused)
mousedev                5656   1
hid                    22308   0  (unused)
input                   6208   0  [keybdev mousedev hid]
usb-uhci               27404   0  (unused)
usbcore                82592   1  [hid usb-uhci]
ext3                   73376   2
jbd                    56336   2  [ext3]
aic7xxx               142516   3
sd_mod                 13452   6
scsi_mod              110488   2  [aic7xxx sd_mod]
[root@ontap root]#
Comment 1 Jeremy Katz 2003-04-30 09:58:02 EDT
Not much that can be done unless you have larger floppies.  mkinitrd now
supports a --iso option to create a bootable ISO image instead of a floppy disk
that can be used for cases where your boot disk will not fit on a floppy.

Note You need to log in before you can comment on or make changes to this bug.